import { OnInit } from '@angular/core';
import { NgAutoCompleteComponent, AutocompleteGroup } from 'ng-auto-complete';
import { AfdPceService } from '../../services/afd.pce.service';
export declare class AfdTypeaheadComponent implements OnInit {
    afdPceService: AfdPceService;
    completer: NgAutoCompleteComponent;
    data: string;
    group: AutocompleteGroup[];
    constructor(afdPceService: AfdPceService);
    ngOnInit(): void;
    typeAheadOptionSelected(item: any): void;
    chooseAddress(key: any): void;
}
